searchData={"items":[{"type":"module","title":"HipcallSdk","doc":"Documentation for `HipcallSdk`.","ref":"HipcallSdk.html"},{"type":"module","title":"Tasks - HipcallSdk","doc":"https://use.hipcall.com.tr/api-docs/#/Task","ref":"HipcallSdk.html#module-tasks"},{"type":"function","title":"HipcallSdk.task_create/2","doc":"Create a new docs","ref":"HipcallSdk.html#task_create/2"},{"type":"function","title":"Examples - HipcallSdk.task_create/2","doc":"iex> task_create_params = [name: \"Task 1\", description: \"Task one description\", auto_assign_to_user: true]\n    iex> HipcallSdk.task_create(task_create_params)\n    ...> {:ok,\n    ...>   %{\n    ...>     \"data\" => %{\n    ...>       \"assign_to_user_id\" => nil,\n    ...>       \"description\" => \"Task one description\",\n    ...>       \"done\" => false,\n    ...>       \"done_at\" => nil,\n    ...>       \"due_date\" => nil,\n    ...>       \"id\" => 11440,\n    ...>       \"name\" => \"Task 1\",\n    ...>       \"priority\" => nil\n    ...>     }\n    ...>   }}","ref":"HipcallSdk.html#task_create/2-examples"},{"type":"function","title":"Arguments - HipcallSdk.task_create/2","doc":"* `:name` (`t:String.t/0`) - Required. Task name.\n\n* `:description` (`t:String.t/0`) - Task description.\n\n* `:assign_to_user_id` (`t:integer/0`) - Assign to user id.\n\n* `:auto_assign_to_user` (`t:boolean/0`) - Auto assign to user. The default value is `false`.\n\n* `:company_ids` (list of `t:integer/0`) - Company ids. The default value is `[]`.\n\n* `:contact_ids` (list of `t:integer/0`) - Contact ids. The default value is `[]`.\n\n* `:deal_ids` (list of `t:integer/0`) - Deal ids. The default value is `[]`.\n\n* `:due_date` (`t:String.t/0`) - Due date.\n\n* `:priority` (`t:String.t/0`) - Task priority.\n\n* `:task_list_id` (`t:integer/0`) - Task task_list_id.","ref":"HipcallSdk.html#task_create/2-arguments"},{"type":"function","title":"Options - HipcallSdk.task_create/2","doc":"- config :: struct()","ref":"HipcallSdk.html#task_create/2-options"},{"type":"function","title":"Raises - HipcallSdk.task_create/2","doc":"There is no exception.","ref":"HipcallSdk.html#task_create/2-raises"},{"type":"function","title":"Returns - HipcallSdk.task_create/2","doc":"{:ok, map()} | {:error, map()} | {:error, any()}","ref":"HipcallSdk.html#task_create/2-returns"},{"type":"function","title":"HipcallSdk.task_get/2","doc":"Get task","ref":"HipcallSdk.html#task_get/2"},{"type":"function","title":"Examples - HipcallSdk.task_get/2","doc":"iex> HipcallSdk.task_get(11184)\n    {:ok,\n    %{\n      \"data\" => %{\n        \"assign_to_user_id\" => 826,\n        \"description\" => \"Task description\",\n        \"done\" => false,\n        \"done_at\" => nil,\n        \"due_date\" => nil,\n        \"id\" => 11184,\n        \"name\" => \"Follow up\",\n        \"priority\" => \"medium\"\n      }\n    }}","ref":"HipcallSdk.html#task_get/2-examples"},{"type":"function","title":"Arguments - HipcallSdk.task_get/2","doc":"- id :: pos_integer()\n- config :: struct()","ref":"HipcallSdk.html#task_get/2-arguments"},{"type":"function","title":"Options - HipcallSdk.task_get/2","doc":"There is no options.","ref":"HipcallSdk.html#task_get/2-options"},{"type":"function","title":"Raises - HipcallSdk.task_get/2","doc":"There is no exceptions.","ref":"HipcallSdk.html#task_get/2-raises"},{"type":"function","title":"Returns - HipcallSdk.task_get/2","doc":"- {:ok, map()} | {:error, map()} | {:error, any()}","ref":"HipcallSdk.html#task_get/2-returns"},{"type":"function","title":"HipcallSdk.task_list/2","doc":"Get task list","ref":"HipcallSdk.html#task_list/2"},{"type":"function","title":"Examples - HipcallSdk.task_list/2","doc":"iex> task_list_params = [limit: 10, offset: 1, sort: \"id.asc\"]\n    iex> HipcallSdk.task_list(task_list_params)","ref":"HipcallSdk.html#task_list/2-examples"},{"type":"function","title":"Arguments - HipcallSdk.task_list/2","doc":"* `:limit` (`t:integer/0`) - Pagination limit. The default value is `10`.\n\n* `:offset` (`t:integer/0`) - Pagination offset. The default value is `1`.\n\n* `:q` (`t:String.t/0`) - Search query.\n\n* `:sort` (`t:String.t/0`) - Sort options. The default value is `\"id.asc\"`.","ref":"HipcallSdk.html#task_list/2-arguments"},{"type":"function","title":"Options - HipcallSdk.task_list/2","doc":"- config :: struct()","ref":"HipcallSdk.html#task_list/2-options"},{"type":"function","title":"Raises - HipcallSdk.task_list/2","doc":"There is no exception.","ref":"HipcallSdk.html#task_list/2-raises"},{"type":"function","title":"Returns - HipcallSdk.task_list/2","doc":"{:ok, map()} | {:error, map()} | {:error, any()}","ref":"HipcallSdk.html#task_list/2-returns"},{"type":"extras","title":"HipcallSDK","doc":"# HipcallSDK\n\nOfficial Hipcall API Wrapper written in Elixir.","ref":"readme.html"},{"type":"extras","title":"Installation - HipcallSDK","doc":"```elixir\ndef deps do\n  [\n    {:hipcall_sdk, \"~> 0.5.1\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Configuration override - HipcallSDK","doc":"Client library configuration can be overwritten in runtime by passing a %HipcallSdk.Config{} \nstruct as last argument of the function you need to use. For instance if you need to use a different \napi_key you can simply do:\n\n```elixir\nconfig_override = %HipcallSdk.Config{\n  api_key: \"mTRwVrbZ4aoHTyjMepleT3BlbkFJ7zZYazuN7F16XuY3WErl\",\n  api_url: \"https://use.hipcall.com.tr/api/v3\"\n}\n# pass the overriden configuration as last argument of the function\nHipcallSdk.models(config_override)\n```","ref":"readme.html#configuration-override"},{"type":"extras","title":"Use - HipcallSDK","doc":"Documentation for using, please check the `HipcallSdk` module.","ref":"readme.html#use"},{"type":"extras","title":"Roadmap - HipcallSDK","doc":"- [x] Task\n- [ ] Phone system - call\n- [ ] Phone system - extensions\n- [ ] Phone system - greetings\n- [ ] Phone system - numbers\n- [ ] Phone system - teams\n- [ ] Phone system - users\n- [ ] Phone system - voicemails\n- [ ] Contact centre\n- [ ] Sales \n- [ ] Account","ref":"readme.html#roadmap"},{"type":"extras","title":"Hipcall - HipcallSDK","doc":"All [Hipcall](https://www.hipcall.com/en-gb/) libraries:\n\n- [HipcallDisposableEmail](https://github.com/hipcall/hipcall_disposable_email) - Simple library checking the email's domain is disposable or not.\n- [HipcallDeepgram](https://github.com/hipcall/hipcall_deepgram) - Unofficial Deepgram API Wrapper written in Elixir.\n- [HipcallOpenai](https://github.com/hipcall/hipcall_openai) - Unofficial OpenAI API Wrapper written in Elixir.\n- [HipcallWhichtech](https://github.com/hipcall/hipcall_whichtech) - Find out what the website is built with.\n- [HipcallSDk](https://github.com/hipcall/elixir_sdk) - Official Hipcall API Wrapper written in Elixir.","ref":"readme.html#hipcall"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.5.1 (2024-07-01) - Changelog","doc":"- Add automatically publish packages on Hex.pm.\n- Update hex packages.\n\n  - ex_doc 0.34.0 => 0.34.1\n  - jason 1.4.1 => 1.4.3","ref":"changelog.html#v0-5-1-2024-07-01"},{"type":"extras","title":"v0.5.0 (2024-06-11) - Changelog","doc":"- Add initial HipcallSDK.task module.\n- Add Config module.\n- Add README.MD, CHANGELOG.md, LICENSE.md\n- Add Dependabot and ci.yml","ref":"changelog.html#v0-5-0-2024-06-11"},{"type":"extras","title":"LICENSE","doc":"Copyright 2024 [Hipcall LTD](https://www.hipcall.com/en-gb/)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}